PGASetFitnessMinType(1)

NAME
PGASetFitnessMinType - sets the type of algorithm used if a minimization problem is specified to determine how values are remapped for maximization.

DESCRIPTION
Valid choices are PGA_FITNESSMIN_RECIPROCAL and PGA_FITNESSMIN_CMAX to do the mapping using the reciprocal of the evaluation function, or by subtracting the worst evaluation function value from each evaluation function value, respectively. The default is PGA_FITNESSMIN_CMAX

INPUT PARAMETERS
ctx - context variable
fitness_type
    - symbolic constant to specify fitness minimization type

OUTPUT PARAMETERS
none

SYNOPSIS
#include "pgapack.h"
void  PGASetFitnessMinType(ctx, fitness_type)
PGAContext *ctx
int fitness_type

LOCATION
fitness.c

EXAMPLE
Example:
PGAContext *ctx;
:
PGASetFitnessMinType(ctx, PGA_FITNESSMIN_CMAX);